Package org.apache.tapestry5.internal.services

# Class EventImpl

java.lang.Object
org.apache.tapestry5.internal.services.EventImpl

All Implemented Interfaces:
  `Event`

Direct Known Subclasses:
  `ComponentEventImpl`, `RenderPhaseEvent`

public class EventImpl extends Object implements Event

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final OperationTracker`
  `tracker`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventImpl(ComponentEventCallback handler, org.slf4j.Logger logger, OperationTracker tracker)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getMethodDescription()`
  `boolean`
  `isAborted()`
  Returns true if the event has been aborted (meaning that the return value from some event handler method was accepted, and processing of the event was terminated).
  `void`
  `setMethodDescription(String methodDescription)`
  Invoke to identify, to the event, what component and method is being acted upon (used for some kinds of exception reporting).
  `boolean`
  `storeResult(Object result)`
  Stores a result for the event.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### tracker

    protected final OperationTracker tracker

- ## Constructor Details

  - ### EventImpl

    public EventImpl(ComponentEventCallback handler, org.slf4j.Logger logger, OperationTracker tracker)
    Parameters:
      `handler` - informed of return values from methods, deems when the event is aborted
      `logger` - used to log method invocations
      `tracker` -

- ## Method Details

  - ### isAborted

    public boolean isAborted()
    Description copied from interface: `Event`
    Returns true if the event has been aborted (meaning that the return value from some event handler method was accepted, and processing of the event was terminated).
    Specified by:
      `isAborted` in interface `Event`
    Returns:
      true if no further event handler methods should be invoked

  - ### setMethodDescription

    public void setMethodDescription(String methodDescription)
    Description copied from interface: `Event`
    Invoke to identify, to the event, what component and method is being acted upon (used for some kinds of exception reporting).
    Specified by:
      `setMethodDescription` in interface `Event`
    Parameters:
      `methodDescription` - describes the location (i.e. file name, method name and line number) of the method

  - ### storeResult

    public boolean storeResult(Object result)
    Description copied from interface: `Event`
    Stores a result for the event. Storing a non-null result value may abort the event (at the discretion of the `ComponentEventCallback`).
    Specified by:
      `storeResult` in interface `Event`
    Parameters:
      `result` - the result obtained from a method invocations
    Returns:
      true if the event is now aborted

  - ### getMethodDescription

    protected String getMethodDescription()